package com.sdtool.common.entity.site;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2020-08-24
 * 首页仪表盘
 * @author jlutt
 */
public class CardPanel extends BaseEntity {

    @Comment("id")
    @RColumn("id")
    private long id;

    @Comment("仪表盘名称")
    @RColumn("cardname")
    private String cardName;

    @Comment("仪表盘图标")
    @RColumn("cardicon")
    private String cardIcon;

    @Comment("仪表盘对应的业务脚本code")
    @RColumn("cardscript")
    private String cardScript;

    @Comment("仪表盘链接地址")
    @RColumn("cardurl")
    private String cardUrl;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getCardName() {
        return cardName;
    }

    public void setCardName(String cardName) {
        this.cardName = cardName;
    }

    public String getCardIcon() {
        return cardIcon;
    }

    public void setCardIcon(String cardIcon) {
        this.cardIcon = cardIcon;
    }

    public String getCardScript() {
        return cardScript;
    }

    public void setCardScript(String cardScript) {
        this.cardScript = cardScript;
    }

    public String getCardUrl() {
        return cardUrl;
    }

    public void setCardUrl(String cardUrl) {
        this.cardUrl = cardUrl;
    }
}
